package com.example.test.navigation

import androidx.compose.runtime.Composable
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.rememberNavController
import auth
import com.example.lectionsupabase.view.mainActivity.MainViewModel
import com.example.lectionsupabase.view.mainActivity.components.Benchs
import com.example.lectionsupabase.view.mainActivity.components.Cinema
import com.example.lectionsupabase.view.mainActivity.components.Concerts
import com.example.lectionsupabase.view.mainActivity.components.DealersList
import com.example.lectionsupabase.view.mainActivity.components.Exhibition
import com.example.lectionsupabase.view.mainActivity.components.Insert
import com.example.lectionsupabase.view.mainActivity.components.InsertBench
import com.example.lectionsupabase.view.mainActivity.components.InsertCar
import com.example.lectionsupabase.view.mainActivity.components.InsertConcert
import com.example.lectionsupabase.view.mainActivity.components.InsertExhibition
import com.example.lectionsupabase.view.mainActivity.components.InsertMovie
import com.example.lectionsupabase.view.mainActivity.components.InsertRestaurant
import com.example.lectionsupabase.view.mainActivity.components.Maps
import com.example.lectionsupabase.view.mainActivity.components.Maps_cinema
import com.example.lectionsupabase.view.mainActivity.components.Maps_concert
import com.example.lectionsupabase.view.mainActivity.components.Maps_exhibition
import com.example.lectionsupabase.view.mainActivity.components.Maps_rest
import com.example.lectionsupabase.view.mainActivity.components.Panel
import com.example.lectionsupabase.view.mainActivity.components.Restaurants
import com.example.lectionsupabase.view.mainActivity.components.reg
import com.example.lectionsupabase.view.mainActivity.components.slide1
import slide2
import slide3


@Composable
fun Navigation() {
    val navController = rememberNavController()
    NavHost(navController = navController,
        startDestination = "auth")
    {
        composable("auth") {
            auth(navController, MainViewModel())
        }

        composable("reg"){
            reg(navController, MainViewModel())
        }
        composable("slide2"){
            slide2(navController)
        }
        composable("slide3"){
            slide3(navController)
        }
        composable("slide1"){
            slide1(navController)
        }
        composable("Restaurants"){
            Restaurants(navController)
        }

        composable("Panel"){
            Panel(navController)
        }

        composable("Cinema") {
            Cinema(navController)
        }
        composable("Concerts") {
            Concerts(navController)
        }
        composable("Exhibition") {
            Exhibition(navController)
        }
        composable("Benchs"){
            Benchs(navController)
        }

        composable("Maps_rest"){
            Maps_rest(navController)
        }
        composable("Maps_exhibition"){
            Maps_exhibition(navController)
        }
        composable("Maps_cinema"){
            Maps_cinema(navController)
        }
        composable("Maps_concert"){
            Maps_concert(navController)
        }
        composable("DealersList"){
            DealersList(navController)
        }
        composable("InsertRestaurant"){
            InsertRestaurant(navController)
        }
        composable("InsertConcert"){
            InsertConcert(navController)
        }
        composable("InsertMovie"){
            InsertMovie(navController)
        }
        composable("InsertExhibition"){
            InsertExhibition(navController)
        }
        composable("InsertBench"){
            InsertBench(navController)
        }
        composable("Insert"){
            Insert(navController)
        }

    }
}



